Debian Bug report logs - #656994
resolv.conf: Comments syntax not explained in resolv.conf

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: srezic@iconmobile.com

Date: Mon, 23 Jan 2012 10:39:01 UTC

Severity: minor

Found in version manpages/3.27-1

Fixed in version manpages/3.40-0.1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#656994; Package manpages. (Mon, 23 Jan 2012 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to srezic@iconmobile.com:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 23 Jan 2012 10:39:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Slaven Rezic <srezic@iconmobile.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: resolv.conf: Comments syntax not explained in resolv.conf
Date: Mon, 23 Jan 2012 11:28:37 +0100
Package: manpages
Version: 3.27-1
Severity: minor
File: resolv.conf

resolv.conf does not explain how to put comments into /etc/resolv.conf

Other sources on the internet ( http://sourceware.org/ml/glibc-bugs/2011-07/msg00009.html,
http://resin.csoft.net/cgi-bin/man.cgi?section=5&topic=resolv.conf ) suggest that
"#" or ";" may be used for comment lines.

Regards,
    Slaven

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

manpages depends on no packages.

manpages recommends no packages.

Versions of packages manpages suggests:
ii  konqueror [man-browser]       4:4.4.5-2  advanced file manager, web browser
ii  man-db [man-browser]          2.5.7-8    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#656994; Package manpages. (Mon, 27 Feb 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 27 Feb 2012 00:09:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: srezic@iconmobile.com, 656994@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#656994: resolv.conf: Comments syntax not explained in resolv.conf
Date: Mon, 27 Feb 2012 13:06:56 +1300
tags 656994 fixed-upstream
thanks

On Mon, Jan 23, 2012 at 11:28 PM, Slaven Rezic <srezic@iconmobile.com> wrote:
> Package: manpages
> Version: 3.27-1
> Severity: minor
> File: resolv.conf
>
> resolv.conf does not explain how to put comments into /etc/resolv.conf
>
> Other sources on the internet ( http://sourceware.org/ml/glibc-bugs/2011-07/msg00009.html,
> http://resin.csoft.net/cgi-bin/man.cgi?section=5&topic=resolv.conf ) suggest that
> "#" or ";" may be used for comment lines.

I added the following for upstream 3.36:

    Lines that contain a semicolon (;) or hash character (#)
    in the first column are treated as comments.

Thanks,

Michael


> -- System Information:
> Debian Release: 6.0.3
>  APT prefers stable
>  APT policy: (990, 'stable')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-486
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> manpages depends on no packages.
>
> manpages recommends no packages.
>
> Versions of packages manpages suggests:
> ii  konqueror [man-browser]       4:4.4.5-2  advanced file manager, web browser
> ii  man-db [man-browser]          2.5.7-8    on-line manual pager
>
> -- no debconf information
>
>
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#656994; Package manpages. (Mon, 27 Feb 2012 00:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 27 Feb 2012 00:09:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 28 Apr 2012 21:22:23 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Wed, 09 May 2012 10:53:31 GMT) Full text and rfc822 format available.

Notification sent to srezic@iconmobile.com:
Bug acknowledged by developer. (Wed, 09 May 2012 10:53:34 GMT) Full text and rfc822 format available.

Message #22 received at 656994-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 656994-close@bugs.debian.org
Subject: Bug#656994: fixed in manpages 3.40-0.1
Date: Wed, 09 May 2012 10:48:16 +0000
Source: manpages
Source-Version: 3.40-0.1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.40-0.1_all.deb
  to main/m/manpages/manpages-dev_3.40-0.1_all.deb
manpages_3.40-0.1.diff.gz
  to main/m/manpages/manpages_3.40-0.1.diff.gz
manpages_3.40-0.1.dsc
  to main/m/manpages/manpages_3.40-0.1.dsc
manpages_3.40-0.1_all.deb
  to main/m/manpages/manpages_3.40-0.1_all.deb
manpages_3.40.orig.tar.gz
  to main/m/manpages/manpages_3.40.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656994@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 May 2012 15:24:57 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.40-0.1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 147778 156154 202022 337581 607398 614881 655088 656994 659750 664688 665780 667672
Changes: 
 manpages (3.40-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/watch: kernel.org is back
   * Install sigwait.3, no more conflict with glibc-doc (Closes: #147778)
   * Imported Upstream version 3.40:
     . new manpages: getent.1 process_vm_readv.2 sendmmsg.2 get_nprocs_conf.3
         malloc_get_state.3 malloc_trim.3 malloc_usable_size.3 mallopt.3
         mcheck.3 scandirat.3
     . pipe.2: Add "#include <fntl.h>" for O_* constants (Closes: #659750)
     . resolv.conf.5:
         - Describe syntax used for comments (Closes: #656994)
         - Document "single-request" option (Closes: #607398)
     . rtnetlink.3: fix example (Closes: #655088)
     . dbopen.3 and db related: refer to libdb API (Closes: #337581)
     . fread.3: return value is number of items, not bytes (Closes: #665780)
     . gettimeofday.2: mark DST_ constants as obsolete (Closes: #614881)
     . rcmd.3: Document "_af" variants of these functions (Closes: #202022)
     . iso_8859-1.7: Add "-" for SOFT HYPHEN (Closes: #156154)
     . keyctl.2: Strip trailing tabs from source line (Closes: #664688)
   * debian/control:
     . Replace libc-bin (<< 2.13-31) as getent.1 is now provided by manpages
     . Bump Standards-Version to 3.9.3
   * debian/inst: install section 1 in manpages binary package.
   * mallopt.3: switch to the upstream version
   * motd.tail(5): fix groff warnings, two spaces instead of one after period
     (Closes: #667672) - thanks to Bjarni Ingi Gislason
Checksums-Sha1: 
 715f38680a0d767e04e8c0c7b9923331cc1ac50a 1863 manpages_3.40-0.1.dsc
 0e0aa536815f49522932c0985461a8d2de610a80 1723615 manpages_3.40.orig.tar.gz
 83806793e06e9cd4674e758e09743645eb3d2a6f 47786 manpages_3.40-0.1.diff.gz
 f3fa7c79a7a09f86c34dfd8b7cafebd4073c251b 775560 manpages_3.40-0.1_all.deb
 4a2538b3213aed070ff6401fda94528286bcd89f 1710474 manpages-dev_3.40-0.1_all.deb
Checksums-Sha256: 
 2d7152d1ccfe8b35eb2f349e6b4c7d7a76c95440b3335556e90badcb8f47d4f5 1863 manpages_3.40-0.1.dsc
 0f30f8168d85a12f6032217a44df484ef7f1a9c1c8d7bace1faa2d10f8629cff 1723615 manpages_3.40.orig.tar.gz
 619cb6deb8b1238329be47b62a0aeebbdbff78b3d79357859c60e944f701274e 47786 manpages_3.40-0.1.diff.gz
 a86e1732a78c94fc31a3b1bc15b97db6198c7946b6d9af7435c4d330ee5e785b 775560 manpages_3.40-0.1_all.deb
 3d3054f8c7106163059ecc8c5feeb1e877dd0a4ccea90199ed9b584323800eb8 1710474 manpages-dev_3.40-0.1_all.deb
Files: 
 ea22ee1cfdc1b9c8f9462607a5cdc191 1863 doc important manpages_3.40-0.1.dsc
 41f40b4890c2f463840ed7070e68ab3a 1723615 doc important manpages_3.40.orig.tar.gz
 1a4a36695e7e1474158f89d3d6c2e0c8 47786 doc important manpages_3.40-0.1.diff.gz
 ac8c8898a6901f20302674c26351f98b 775560 doc important manpages_3.40-0.1_all.deb
 4d890750faca36c152cd419f1a599ae5 1710474 doc optional manpages-dev_3.40-0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPpnzuAAoJEN/3OMLRbPuiJcUP/2bfsQVxrYW/wRJsJc0yL1ax
1FU6DuFntKl9GEciyY8pOBFBh+9DlbO+kbpnPar2xlGAQi+J2e6qvSQ2V2M8cx5o
mcPrF1Sv1XWQ+Bm1DHA22Mzj/vYFKpFAaxwzT/KWbtLVrkH+G5gHlpHotMWE5Bmf
897bvAPuK8qcJkvLtPIAxpFzXKtnxw89PUYx71ig6jrfonVuSJQvFpzb90DZfz2F
gKGfpkJePKe0i1nzz6dNeoPk48sgKstp7lrTR5+9Ub/NTLTMzPzBT9QK4RBD2gMV
le22NNt26pk0O79KrabjabZRUYsC+7oOvWJqPE3y4R53tCZzeIlFMC56pWHGpmD2
hsOXLmnfgPjwuwFG2vqBKdCuKmvtav3RwUSFjhbh/0Vw3+voT5VdBBsrlmvuiQdC
v47/KU6+YLT5CDQhF4Up/YQleX0cgn47/z5dauAIeZqzJxmm3rhpdLSGtV4eUJje
Utsros+CV2fUK6vO2WBx7pr9hfKFH9JGnegkjm/F50EzMqdKSOIJFzFAaBPK0hxd
v4AXAZuquax69wyYPMWBA0FWS+qq94QNNjw9PLj8RkwBmZOCRdGV8efyQhDrkcVQ
aip6PMXHsirUrWfbXHe2pChPJdQIyobDV3rv+B9Ua1JdBYim8wWMHqSv2hOsBmBW
DH9THUg+wnrvuxIbkPnG
=wlDY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:56:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:22:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.